
Redmine - Defect #12199

Confirmation message displayed when clicking a disabled delete link in the context menu

2012-10-24 11:28 - Daniel Felix

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 2.1.3   

Resolution: Fixed Affected version:  

Description

Hi,

if a user use the contextmenu on a ticket and select "delete" (which is disabled), the request if this deletion is wanted still appears in

IE9.

Seems to be a Javascript error.

Associated revisions

Revision 10715 - 2012-10-24 23:24 - Jean-Philippe Lang

Don't show confirmation message when disabled delete link in the context menu (#12199).

History

#1 - 2012-10-24 14:20 - Etienne Massip

- Category set to Issues

#2 - 2012-10-24 23:15 - Jean-Philippe Lang

- Subject changed from Contextmenu > Ticket delete does not respect Userrole to Confirmation message displayed when clicking a disabled delete

link in the context menu

- Status changed from New to Confirmed

Same with FF and Chrome. The action is not triggered and would be denied anyway.

#3 - 2012-10-24 23:24 - Jean-Philippe Lang

- Status changed from Confirmed to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r10715.

#4 - 2012-10-26 05:11 - Jean-Philippe Lang

- Target version set to 2.1.3

#5 - 2012-10-26 05:16 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 2.1-stable.
